Last Comment Bug 748160 - Update the Downloads command to open the Downloads view instead of the Downloads Panel
: Update the Downloads command to open the Downloads view instead of the Downlo...
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Downloads Panel (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: Firefox 17
Assigned To: :Paolo Amadini
:
Mentors:
Depends on: 746591 785757 809022
Blocks: DownloadsPanel 766013
  Show dependency treegraph
 
Reported: 2012-04-23 16:14 PDT by Olli Pettay [:smaug]
Modified: 2013-05-19 12:32 PDT (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Update the Downloads command to open the Downloads view instead of the Downloads Panel. (10.30 KB, patch)
2012-06-06 13:03 PDT, :Paolo Amadini
mak77: review+
Details | Diff | Splinter Review
Update the Downloads command to open the Downloads view instead of the Downloads Panel. (10.30 KB, patch)
2012-07-28 09:26 PDT, :Paolo Amadini
no flags Details | Diff | Splinter Review

Description Olli Pettay [:smaug] 2012-04-23 16:14:59 PDT
The downloads button is hidden after browser startup, and one needs to first click
tools->downloads to get the button visible temporarily and then click "Show all downloads"
in the doorhanger. The doorhanger is faraway from the menu.
This is not a good UI.
Comment 1 :Paolo Amadini 2012-06-06 13:03:36 PDT
Created attachment 630685 [details] [diff] [review]
Update the Downloads command to open the Downloads view instead of the Downloads Panel.

For new downloads, this shows the Downloads window (that in the future will be
the Downloads view in the library) according to Downloads window preferences,
but only if the Downloads indicator is currently invisible for any reason
(that should avoid getting no download notifications at all).

The menu command always shows the Downloads window.
Comment 2 M Henri Day 2012-06-19 12:53:59 PDT
I had this problem with Nightly running on updated 64-bit Ubuntu versions, but everything is fine now ; the Download Manager icon displays as soon as I launch Nightly (currently 16.0a1 (2012-06-18)....

Henri
Comment 3 Marco Bonardo [::mak] (Away 6-20 Aug) 2012-07-25 14:45:49 PDT
Comment on attachment 630685 [details] [diff] [review]
Update the Downloads command to open the Downloads view instead of the Downloads Panel.

Review of attachment 630685 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/components/downloads/content/indicator.js
@@ +182,5 @@
> +  get isVisible()
> +  {
> +    if (!this._placeholder)
> +    {
> +      return false;

warning: c# braces detected!

::: browser/components/preferences/main.js
@@ -39,5 @@
> -    // These radio-buttons should not be visible if we have enabled the Downloads Panel.
> -    let shouldHide = !DownloadsCommon.useToolkitUI;
> -    showWhenDownloading.hidden = shouldHide;
> -    closeWhenDone.hidden = shouldHide;
> -  },

Is the preferences changes removal something we'll have to undo when moving to the new view? If so I'm not sure if we want to add them back now just to remove them again soon...
But it's easy code, so I don't have strong feelings.
Comment 4 :Paolo Amadini 2012-07-28 09:26:43 PDT
Created attachment 646867 [details] [diff] [review]
Update the Downloads command to open the Downloads view instead of the Downloads Panel.

(In reply to Marco Bonardo [:mak] (Away 28 Jul - 12 Aug) from comment #3)
> warning: c# braces detected!

:-) Fixed!

> Is the preferences changes removal something we'll have to undo when moving
> to the new view? If so I'm not sure if we want to add them back now just to
> remove them again soon...
> But it's easy code, so I don't have strong feelings.

I think we should show the preferences to allow controlling the Downloads
window, while it'a accessible in the meantime.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-08-25 19:28:17 PDT
https://hg.mozilla.org/mozilla-central/rev/3d3e80ee5ec1
Comment 7 Simona B [:simonab] 2012-11-12 09:09:46 PST
Verified on the latest Nightly that the the menu command and the keyboard shortcuts always show the Downloads window and not the Downloads panel.

Verified on Windows 7, Ubuntu 12.04 and Mac OS X 10.7:

Mozilla/5.0 (Windows NT 6.1; rv:19.0) Gecko/19.0 Firefox/19.0        
Build ID: 20121111030749
Mozilla/5.0 (X11; Linux i686; rv:19.0) Gecko/19.0 Firefox/19.0        
Build ID: 20121112030753
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:19.0) Gecko/19.0 Firefox/19.0        Build ID: 20121112030753

Note You need to log in before you can comment on or make changes to this bug.